Summary: X Windows Programming Environment
Name: xwpe
Version: 1.4.2
Release: 10
Copyright: GPL
Group: Development/Tools
Source: ftp.rrzn.uni-hannover.de:/pub/systems/unix/xwpe/xwpe-1.4.2.tar.Z
Patch0: ftp.redhat.com:/xwpe-1.4.2-configure.patch
Patch1: ftp.redhat.com:/xwpe-1.4.2-ncurses.patch
Patch2: ftp.redhat.com:/xwpe-1.4.2-glibc.patch
Prefix: /usr
%description

XWPE is actually a package of four programs: we, wpe, xwe, and xwpe.
They are different versions of the same basic programmers editor and
development environment. If you have used some of the Micro$oft
Windows programming IDE's and longed for an X Windows equivalent, this
is what you have been looking for! Also included are the text-mode
equivalents of the X programs, enabling you to use xwpe no matter what
your development environment may be.

This package includes the basic xwpe libraries and the text-mode programs;
the X Windows programs are contained in the 'xwpe-X11' package.


%package X11
Summary: X Windows Programming Environment - X11 programs
Group: X11/Applications/Development
%description X11

Includes the 'xwpe' and 'xwe' programs from the xwpe package that are
specific to X Windows.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=/usr
make 

%install
make install

strip /usr/bin/we /usr/bin/xwe /usr/bin/xwpe /usr/bin/wpe

%files
/usr/bin/we
/usr/bin/wpe
/usr/lib/wpe
/usr/man/man1/wpe.1
/usr/man/man1/we.1
%files X11
/usr/man/man1/xwpe.1
/usr/man/man1/xwe.1
/usr/bin/xwe
/usr/bin/xwpe

